import React from 'react';
import type { ConnectionInfo, ConnectionStorage } from '@mongodb-js/connection-storage/renderer';
export declare function ImportConnectionsModal({ open, setOpen, favoriteConnections, trackingProps, connectionStorage, }: {
    open: boolean;
    setOpen: (newOpen: boolean) => void;
    favoriteConnections: Pick<ConnectionInfo, 'favorite' | 'id'>[];
    trackingProps?: Record<string, unknown>;
    connectionStorage?: typeof ConnectionStorage;
}): React.ReactElement;
//# sourceMappingURL=import-modal.d.ts.map